\documentclass{book}

\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{amsmath}
\usepackage{latexsym}
\usepackage{graphics}
\usepackage{graphicx}
\usepackage{proof}
\usepackage{float}
\usepackage{fancyheadings}

%
% HTML
%
\usepackage[backref]{hyperref}

%
% Format in Tech-Report mode
%
\input{trdefs.tex}
\techreporttrue

\input{defs.tex}

\normalsize
\raggedbottom
\setlength{\textwidth}{6.5in}
\setlength{\marginparwidth}{0pt}
\setlength{\oddsidemargin}{0in}
\setlength{\evensidemargin}{0in}
\setlength{\headheight}{0.25in}
\setlength{\headsep}{0.25in}
\setlength{\topmargin}{0.0in}
\setlength{\textheight}{8.5in}
\setlength{\parskip}{0pt}
\setlength{\parindent}{0.25in}

\lhead{FIR Safety}
%\lfoot{DRAFT - LUNATICS AT WORK}
%\rfoot{\today}

\begin{document}

\pagestyle{plain}
\pagenumbering{roman}

% Begin Emre's attempt at a different title page.

\thispagestyle{empty}
\begin{center}
   {\LARGE Process Migration and Transactions\linebreak
           Using a Novel Intermediate Language\footnote{This
           technical report is based on version
           1.76 of the FIR.}}
   \linebreak\linebreak\linebreak
   {\Large Caltech Technical Report \trnum}
   \linebreak\linebreak\linebreak
   {\large
      \begin{tabular}{ccc}
         Jason Hickey & Justin D.~Smith & Brian Aydemir \\
         Nathaniel Gray & Adam Granicz & Cristian Tapus
      \end{tabular}
   }
   \linebreak\linebreak\linebreak
   {\large \today}
\end{center}

% End Emre's attempt at a different title page.

\tableofcontents

\listoffigures

\pagebreak
\pagestyle{fancy}
\pagenumbering{arabic}

% This needs to appear after the TOC, otherwise 
% the TOC comes out looking rather bizarre...
\setlength{\parskip}{1em}
\setlength{\parindent}{0in}

\input{introduction.tex}
\input{syntax.tex}
\input{judgments.tex}
\input{type-rules.tex}
\input{op-semantics.tex}
\input{lemmas-wf.tex}
\input{lemmas-induction.tex}
\input{lemmas-unique.tex}
\input{lemmas-subst.tex}
\input{lemmas-def.tex}
\input{lemmas-progress.tex}
\input{preservation.tex}
\input{progress.tex}
\input{backend.tex}
\input{benchmarks.tex}

\bibliographystyle{plain}
\bibliography{metaprl}

\end{document}
